na.omit.ts                package:ts                R Documentation

_N_A _H_a_n_d_l_i_n_g _R_o_u_t_i_n_e_s _f_o_r _T_i_m_e _S_e_r_i_e_s

_D_e_s_c_r_i_p_t_i_o_n:

     For `na.omit.ts', initial and final segments with missing values
     in one or more of the series are omitted. `Internal' missing
     values will lead to failure.

     For `na.contiguous' the longest consecutive stretch of non-missing
     values is used. (In the event of a tie, the first such stretch.)

_U_s_a_g_e:

     na.contiguous(frame)
     na.omit.ts(frame)

_A_r_g_u_m_e_n_t_s:

   frame: a univariate or multivariate time series.

_V_a_l_u_e:

     A time series without missing values. The class of `frame' will be
     preserved.

_A_u_t_h_o_r(_s):

     B. D. Ripley

_S_e_e _A_l_s_o:

     `na.omit', `na.fail'

_E_x_a_m_p_l_e_s:

     data(BJsales)
     sales1 <- ts.union(BJsales, lead3 = lag(BJsales.lead, -3))
     na.omit.ts(sales1)

     data(presidents)
     na.contiguous(presidents)

